:root{
  --primary-color: #4b86f8;
}
@font-face {
    font-family: "Roboto";
    src: url("../lib/fonts/Roboto/Roboto-Medium.ttf") format("truetype");
  }
  
  /* Global Font */
  body,
  html {
    font-family: "Cairo" !important;
    font-size: 16px;
  }
  
  /* Begin:CustomScroll */
  html {
    /* scrollbar-color: rgba(152, 152, 152, 0.051); */
    scrollbar-width: thin;
  }
  
  body::-webkit-scrollbar {
    width: 0.49em;
    height: 0.49em;
  }
  
  body::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  }
  
  body::-webkit-scrollbar-thumb {
    background-color: #9898980d;
    outline: 1px solid #a07fbf;
  }
  
  /* End:CustomScroll */
  
  /* Wrapping element */
  /* Set some basic padding to keep content from hitting the edges */
  .body-content {
    padding-left: 15px;
    padding-right: 15px;
  }
  
/* Begin:CustomScroll */
html {
  /* scrollbar-color: rgba(152, 152, 152, 0.051); */
  scrollbar-width: thin;
}

body::-webkit-scrollbar {
  width: 0.49em;
  height: 0.49em;
}

body::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

body::-webkit-scrollbar-thumb {
  background-color: #9898980d;
  outline: 1px solid #a07fbf;
}

/* End:CustomScroll */

.text-end {
  text-align: end !important;
}

.text-start {
  text-align: start !important;
}

.transform-scale-1 {
  transform: scale(1) !important;
}

.loginLogo {
  max-width: 100%;
  max-height: 100%;
  aspect-ratio: 1.7;
  object-fit: contain;
}

/* Global Css Customize */

  /* Aside */
  
  /* Aside icons */
  .menu-link-p-0 {
    padding-left: 0px !important;
  }
  
  .aside-menu .menu-item {
    padding: 10px 0px;
  }
  
  .aside-menu .menu-item .menu-icon {
    flex-grow: 0.2;
  }
  
  .aside-menu .menu .menu-item .menu-content,
  .aside-menu .menu .menu-item .menu-link {
    padding-left: 32px !important;
  }
  
  .aside-menu .menu-item .menu-link {
    justify-content: space-between;
  }
  
  .aside-menu .menu-item .menu-icon .menu-icon-title {
    padding-top: 10px;
  }
  
  /* Aside media */
  @media (min-width: 992px) {
    [data-kt-aside-minimize="on"] .aside {
      width: 100px;
    }
  
    .aside {
      width: 100px;
    }
  
    .aside .aside-menu {
      width: 100px;
    }
  
    .aside-enabled.aside-fixed .wrapper {
      padding-left: 100px;
    }
  
    .aside-enabled.aside-fixed[data-kt-aside-minimize="on"] .wrapper {
      padding-left: 100px;
    }
  
    .aside-enabled.aside-fixed.header-fixed .header {
      left: 100px;
    }
  
    [data-kt-aside-minimize="on"] .aside.aside-hoverable:hover:not(.animating) {
      width: 100px;
    }
  }
  
  .menu-sub.menu-sub-lg-down-dropdown.show {
    top: 0px !important;
  }
  
  .aside-menu .menu .menu-item .dropdown-title a {
    padding-left: 0px !important;
  }
  
  .aside-enabled.aside-fixed.toolbar-fixed .toolbar {
    left: 100px;
  }
  
  @media (min-width: 768px) {
    html {
      font-size: 16px;
    }
  }
  
  .btn:focus,
  .btn:active:focus,
  .btn-link.nav-link:focus,
  .form-control:focus,
  .form-check-input:focus,
  .form-select:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
    border-color: #888894;
  }
  
  .form-control,
  .form-select {
    border-color: #c9c9c9;
  }
  
  html {
    position: relative;
    min-height: 100%;
  }
  
  body {
    margin-bottom: 60px;
  }
  
  /* Block ui */
  .blockui-overlay {
    z-index: 999999 !important;
    box-shadow: 0 1rem 2rem 1rem rgba(0, 0, 0, 0.1) !important;
  }
  
  .badge-warning {
    color: #4a4a4a;
  }
  
  .visibility-hidden {
    visibility: hidden;
  }
  
  .blank-svg-bg-img {
    background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="900" height="900" viewBox="0 0 900 900" fill="none"><rect width="900" height="900" fill="%23F8FBFF"/><path d="M450.5 195C376.206 195 315.764 255.443 315.764 329.736C315.764 404.03 376.206 464.473 450.5 464.473C524.794 464.473 585.236 404.03 585.236 329.736C585.236 255.443 524.794 195 450.5 195Z" fill="%23DCE5F1"/><path d="M618.138 552.495C581.25 515.041 532.349 494.414 480.441 494.414H420.559C368.652 494.414 319.75 515.041 282.862 552.495C246.155 589.766 225.939 638.964 225.939 691.029C225.939 699.297 232.642 706 240.91 706H660.09C668.358 706 675.061 699.297 675.061 691.029C675.061 638.964 654.845 589.766 618.138 552.495Z" fill="%23DCE5F1"/></svg>')
  }
  
  .text-justify{
    text-align: justify;
  }
  
  @media (min-width:550px) {
    .swal2-popup.swal2-modal.swal2-show {
      min-width: inherit !important;
    }
  }

/* Aside icons */

.menu-link-p-0 {
  padding-left: 0px !important;
}

.aside-menu .menu-item {
  padding: 10px 0px;
}

.aside-menu .menu-item .menu-icon {
  flex-grow: 0.2;
}

.aside-menu .menu .menu-item .menu-content,
.aside-menu .menu .menu-item .menu-link {
  padding-left: 32px !important;
}

.aside-menu .menu-item .menu-link {
  justify-content: space-between;
}

.aside-menu .menu-item .menu-icon .menu-icon-title {
  padding-top: 10px;
}

/* Itl message */
#error-msg {
  color: #f1416c;
  position: absolute;
  right: 40px;
  bottom: 33px;
}

#valid-msg {
  color: #50cd89;
  position: absolute;
  right: 40px;
  bottom: 33px;
}

/* Aside media */
@media (min-width: 992px) {
  [data-kt-aside-minimize="on"] .aside {
    width: 100px;
  }

  .aside {
    width: 100px;
  }

  .aside .aside-menu {
    width: 100px;
  }

  .aside-enabled.aside-fixed .wrapper {
    padding-left: 100px;
  }

  .aside-enabled.aside-fixed[data-kt-aside-minimize="on"] .wrapper {
    padding-left: 100px;
  }

  .aside-enabled.aside-fixed.header-fixed .header {
    left: 100px;
  }

  [data-kt-aside-minimize="on"] .aside.aside-hoverable:hover:not(.animating) {
    width: 100px;
  }
}

.menu-sub.menu-sub-lg-down-dropdown.show {
  top: 25px !important;
}

.aside-menu .menu .menu-item .dropdown-title a {
  padding-left: 0px !important;
}

.aside-enabled.aside-fixed.toolbar-fixed .toolbar {
  left: 100px;
}

/* Custom Lights */
.bg-blue {
  background-color: var(--bs-blue) !important;
}

.bg-light-blue {
  background-color: rgb(221, 242, 254);
}

.svg-icon-blue {
  color: var(--bs-blue) !important;
}

.text-blue {
  color: var(--bs-blue);
}

.badge-blue {
  background-color: var(--bs-blue) !important;
}

.badge-warning {
  color: #4a4a4a;
}

.svg-icon-light-warning {
  color: #392c67;
}

.svg-icon-light-danger {
  color: #e71d36;
}

.alert-blue {
  color: black !important;
  border-color: rgb(221, 242, 254);
  background-color: rgb(221, 242, 254);
}

.bg-gif-color {
  background-color: #eadee3 !important;
}

/* Data table Custom */
#data-table_next,
#data-table_previous {
  padding: 0 10px;
}

#data-table_next a i,
#data-table_previous a i {
  background-size: 20px;
  object-fit: contain;
  width: 100%;
  height: 100%;
}

.pagination {
  direction: ltr !important;
}

#data-table_previous a i {
  margin-top: 2.8px;
}

.dir-ltr {
  direction: ltr !important;
}

.dir-rtl {
  direction: rtl !important;
}

/* Button Light */
.btn.btn-light-blue {
  color: var(--bs-blue) !important;
  border-color: #f1faff;
  background-color: #f1faff;
}

.btn-check:active+.btn.btn-light-blue,
.btn-check:checked+.btn.btn-light-blue,
.btn.btn-light-blue.active,
.btn.btn-light-blue.show,
.btn.btn-light-blue:active:not(.btn-active),
.btn.btn-light-blue:focus:not(.btn-active),
.btn.btn-light-blue:hover:not(.btn-active),
.show>.btn.btn-light-blue {
  color: #fff !important;
  border-color: var(--bs-blue) !important;
  background-color: var(--bs-blue) !important;
}

/* End: Global Css Customize */
input {
  direction: ltr;
}

#startup_price,
#advanced_price,
#enterprise_price {
  font-size: calc(0.9rem + 1vw);
  font-weight: 600;
  line-height: 1.2;
}

/* 
#planElement div:nth-child(n) div:nth-child(2) {
}

j #planElement > div:first-child {
  transform: translateX(-10px);
}

#planElement > div:nth-child(2) {
  transform: translatey(-25px);
}

#planElement > div:last-child {
  transform: translateX(+10px);
} */

#kt_stepper_example_basic_form {
  text-align: -webkit-center;
}

.card-p:has(#plan_details) {
  overflow-y: scroll;

  position: relative;
}

#plan_details {
  padding: 0;
}

#plan_details li {
  padding: 5px 0;
  /* border-bottom: 1px solid #00000027; */
  font-size: 13px;
  list-style-type: none;
  display: flex;
  justify-content: center;
}

#planElement .card-body {
  /*    height: 350px !important;*/
  display: flex;
  flex-direction: column;
  /* justify-content: space-between; */
}

#planElement .card-p {
  padding: 0 1.25rem !important;
}

/* .stepper.stepper-pills .stepper-item.current .stepper-icon {
  border-bottom: 0;
} */

[data-kt-sticky="true"] {
  bottom: auto !important;
}

button {
  font-weight: bolder !important;
}

.mute {
  animation: low-opacity 0.4s ease-in;
  opacity: 0.5;
}

.min-h-fit-content {
  min-height: fit-content;
}

@keyframes low-opacity {
  0% {
    opacity: 0.9;
  }

  50% {
    opacity: 0.7;
  }

  100% {
    opacity: 0.5;
  }
}

.text-shadow {
  text-shadow: hsl(209, 81%, 57%) -1px 1px 9px, #000 1px -1px 4px;
}

.moving {
  animation: stepping 0.5s ease-in-out;
}

.error-moving {
  animation: error 0.4s ease-in;
}

.scroll-y-force {
  overflow-y: scroll !important;
}

@keyframes stepping {
  0% {
    transform: translate(-10px, 2px);
  }

  60% {
    transform: translate(10px, -2px);
  }

  100% {
    transform: translate(0px, 0px);
  }
}

@keyframes error {
  0% {
    transform: translateY(-20px);
  }

  20% {
    transform: translateY(0px);
  }

  50% {
    transform: translateY(-15px);
  }

  70% {
    transform: translateY(0px);
  }

  90% {
    transform: translateY(-8px);
  }

  100% {
    transform: translateY(0px);
  }
}

.hide {
  display: none;
}

#kt_datatable_compare_plans tbody tr td:nth-child(1) {
  font-weight: bold;
  padding-left: 35px;
}

#kt_datatable_compare_plans tbody tr td:nth-child(1)::before {
  content: "#";
}

table.dataTable.no-footer {
  border: none;
}

#First_rad,
#Second_rad,
#Third_rad {
  display: none;
  /* width: 100%; */
}

.selectedplan {
  padding: 0 !important;
  border: 3px dotted var(--primary-color) !important;
  border-radius: 13px;
  transform: scale(1.08);
}

.error-text {
  color: #cc0033;
  font-family: Helvetica, Arial, sans-serif;
  font-size: 13px;
  font-weight: bold;
  line-height: 20px;
}

.error-message {
  background-color: #fce4e40f;
  border-radius: 14px;
  box-shadow: 20px;
  border: 1px solid #cc0033;
  float: left;
  padding: 20px 30px;
}

button.btn.btn-color-gray-400.btn-active.btn-active-secondary.px-6.py-3.active {
  border-left-width: 4px;
  border-style: solid;
  border-color: #622a95;
}

/* Button Hover Success */

.draw-border {
  border: 1px solid;
  overflow: hidden;
  position: relative;
}

.draw-border::before {
  border: 0 solid transparent;
  box-sizing: border-box;
  content: "";
  pointer-events: none;
  position: absolute;
  width: 0;
  height: 0;
  bottom: 0;
  right: 0;
}

.draw-border::before {
  border-right-width: 2px;
  border-bottom-width: 2px;
  transition: all ease-in-out 0.25s;
}

.draw-border:hover {
  color: #ffa100;
}

.draw-border:hover::before {
  border-color: #ffa100;
  transition: border-color 0s ease, width 0.25s ease, height 0.25s ease;
  border-radius: 0.625rem;
  width: 100%;
  height: 100%;
}

.draw-border::after {
  background: #7e8299;
  content: "";
  height: 155px;
  left: -75px;
  opacity: 0.2;
  position: absolute;
  top: -50px;
  transform: rotate(35deg);
  transition: all 550ms cubic-bezier(0.19, 1, 0.22, 1);
  border-top-width: 2px;
  border-left-width: 2px;
  width: 50px;
  z-index: 1;
}

.draw-border:hover::after {
  left: 120%;
  transition: all 550ms cubic-bezier(0.19, 1, 0.22, 1);
}

/* ViewHeight */
.vh-90 {
  height: 90vh;
}

.mb-regconf {
  margin-bottom: 200px;
}

/* Border radius */
.rounded-left-none {
  border-start-start-radius: 0px;
  border-end-start-radius: 0px;
}

/* Spinner Loader */
.spinner {
  margin: 100px auto 0;
  width: 70px;
  text-align: center;
}

.spinner>div {
  width: 13px;
  height: 13px;
  background-color: white;

  border-radius: 100%;
  display: inline-block;
  -webkit-animation: sk-bouncedelay 1.4s infinite ease-in-out both;
  animation: sk-bouncedelay 1.4s infinite ease-in-out both;
}

.spinner .bounce1 {
  -webkit-animation-delay: -0.32s;
  animation-delay: -0.32s;
}

.spinner .bounce2 {
  -webkit-animation-delay: -0.16s;
  animation-delay: -0.16s;
}

@-webkit-keyframes sk-bouncedelay {

  0%,
  80%,
  100% {
    -webkit-transform: scale(0);
  }

  40% {
    -webkit-transform: scale(1);
  }
}

@keyframes sk-bouncedelay {

  0%,
  80%,
  100% {
    -webkit-transform: scale(0);
    transform: scale(0);
  }

  40% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}

/* Active link */
.nav .nav-item a.nav-link.active {
  font-weight: bold;
  color: var(--primary-color);
}

.text-underline-offset-1 {
  text-underline-offset: 5px;
}

/* form check background on select */
.data-bg-checked:has(input[type="checkbox"]:checked) {
  background-color: var(--primary-color) !important;
  color: white !important;
}

.form-check-input:checked[type="radio"] {
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none'%3E%3Cpath d='M9.89557 13.4982L7.79487 11.2651C7.26967 10.7068 6.38251 10.7068 5.85731 11.2651C5.37559 11.7772 5.37559 12.5757 5.85731 13.0878L9.74989 17.2257C10.1448 17.6455 10.8118 17.6455 11.2066 17.2257L18.1427 9.85252C18.6244 9.34044 18.6244 8.54191 18.1427 8.02984C17.6175 7.47154 16.7303 7.47154 16.2051 8.02984L11.061 13.4982C10.7451 13.834 10.2115 13.834 9.89557 13.4982Z' fill='white'/%3E%3C/svg%3E") !important;
}

.transition-all {
  transition-property: all;
  transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
  transition-duration: 150ms;
}

/* WhatsApp button pulse animation */
.effect-pulse {
  animation: pulse 2s infinite ease-in-out;
}

@keyframes pulse {
  0% {
    box-shadow: 0 0 0 0 rgba(37, 211, 102, 0.7);
  }

  100% {
    box-shadow: 0 0 0 20px rgba(37, 211, 102, 0);
  }
}

/* media */
@media (max-width: 992px) {
  #planElement>div:nth-child(n) {
    margin: 7px auto;
  }

  #summary {
    position: relative !important;
    width: auto !important;
  }
}

@media (min-width: 992px) {
  .vh-lg-90 {
    height: 90vh;
  }

  .pe-lg-none {
    pointer-events: none !important;
  }
}

@media (max-width: 625px) {
  .stepper-item {
    text-align: start;
    margin: 0 auto;
    width: 100%;
  }
}

@media (max-width: 767.98px) {
  #summary {
    position: fixed !important;
    bottom: 0px !important;
    width: inherit !important;
  }
}

@media (max-width: 576px) {
  .border-sm {
    border: 1px solid black;
  }
}

#plan_details {
  margin-top: 10px;
}

@media print {
  @page {
    margin-top: -150px;
  }

  body {
    visibility: hidden;
  }

  #kt_header {
    display: none;
  }

  #actionsPrintedArea {
    /* visibility: hidden; */
    margin: 0 !important;
    padding: 0 !important;
    display: none !important;
  }

  #payment_actions {
    /* visibility: hidden; */
    display: none !important;
  }

  #printedInvoice {
    visibility: visible;
    margin: 0px;
    padding: 0px;
    height: 0px;
  }
}